﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.ScheduleView.AppointmentsSource = new ObservableCollection<Appointment>();
            this.ScheduleView.SpecialSlotsSource = new ObservableCollection<Slot>
            {
                new PassedSlot { Start = DateTime.Now.AddHours(-2), End = DateTime.Now.AddHours(-1), IsReadOnly = true, Description = "Passed Slot" },
                new FutureSlot { Start = DateTime.Now.AddHours(1), End = DateTime.Now.AddHours(2), IsReadOnly = true, Description = "Future Slot" }
            };
        }
    }
}